name: JAX 'Hello World' using NVIDIA GPUs A100-80GB on GKE
services:
  job-name-keako:
    name: job-name
    type: Job
    apiVersion: batch/v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        backoff Limit: 1
        completion Mode: Indexed
        completions: 1
        parallelism: 1
        template:
          spec:
            containers:
            - args:
              - --num_processes
              - WILL_BE_REPLACED
              - --job_name
              - WILL_BE_REPLACED
              - --sub_domain
              - WILL_BE_REPLACED
              - --coordinator_port
              - WILL_BE_REPLACED
              command:
              - python
              - train.py
              image: gcr.io/<<PROJECT>>/jax/hello:latest
              name: jax-worker
              ports:
              - container Port: 1234
            restart Policy: Never
            subdomain: headless-svc
    traits:
      meshmap:
        edges: []
        id: 0aa1fae8-7f0e-473c-ac72-00b355a26ed5
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: circle
          shapePolygonPoints: ""
          styleOverrides:
            z-index: 4
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/job-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/job-white.svg
        position:
          posX: 190
          posY: 130
        whiteboardData:
          style:
            z-index: 4
  job-name-zjldz:
    name: job-name
    type: Job
    apiVersion: batch/v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        template:
          spec:
            containers:
            - name: jax-worker
              resources:
                limits:
                  nvidia.com/gpu: 1
            tolerations:
            - effect: NoSchedule
              key: nvidia.com/gpu
              operator: Exists
    traits:
      meshmap:
        edges: []
        id: c62c78cc-86ee-432a-9ac7-f95200ca7812
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: circle
          shapePolygonPoints: ""
          styleOverrides:
            z-index: 3
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/job-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/job-white.svg
        position:
          posX: 90
          posY: 110
        whiteboardData:
          style:
            z-index: 3
  service-name:
    name: service-name
    type: Service
    apiVersion: v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        cluster IP: None
        selector:
          job-name: job-name
    traits:
      meshmap:
        edges: []
        id: e6000f6e-30ce-4d18-ba04-58b38c746e3f
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          shapePolygonPoints: ""
          styleOverrides: '{"height":20,"width":20,"padding":12,"background-position-y":4.5,"x":"10px","y":"12px"}'
          styles: '{"height":20,"width":20,"padding":12,"background-position-y":4.5,"x":"10px","y":"12px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/service-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/service-white.svg
        position:
          posX: 130
          posY: 130
        whiteboardData:
          style:
            z-index: 6
